aboutsummaryrefslogtreecommitdiffstats
path: root/main/unbound/unbound.initd
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2019-12-05 12:09:57 +0100
committerJakub Jirutka <jakub@jirutka.cz>2019-12-05 12:11:02 +0100
commite2207b5c454d69c0ba1a6fda8727cd9444c7b48a (patch)
treee71984de894abf1bbf38a180527173035724d5f9 /main/unbound/unbound.initd
parentd77d49b36fac3b48e0fae35d5154d9e753340cf3 (diff)
main/unbound: fix init script to not potentially modify wrong directory
Fixes #11016
Diffstat (limited to 'main/unbound/unbound.initd')
-rw-r--r--main/unbound/unbound.initd2
1 files changed, 1 insertions, 1 deletions
diff --git a/main/unbound/unbound.initd b/main/unbound/unbound.initd
index 136ce01ccf9..76eb0f3a137 100644
--- a/main/unbound/unbound.initd
+++ b/main/unbound/unbound.initd
@@ -36,7 +36,7 @@ start_pre() {
local i; for i in $(/usr/sbin/unbound-checkconf -o control-interface "$cfgfile"); do
case "$i" in
- */*) test -d "$i" || checkpath -d -m 750 -o unbound:unbound "$(dirname "$i")" || return 1
+ */*) test -e "$i" || checkpath -d -m 750 -o unbound:unbound "$(dirname "$i")" || return 1
esac
done
}